| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Array2DInfoImpl Class Reference
Basic

Implementation of Array2DInfo. More...

`#include <arrayndinfo.h>`

Inheritance diagram for Array2DInfoImpl:
[legend]

## Public Member Functions
| Array2DInfoImpl (const Array2DInfo &)
| Array2DInfoImpl (int sz0=0, int sz1=0)
Array2DInfo * | clone () const override
int | getSize (int dim) const override
od_uint64 | getTotalSz () const override
bool | isOK () const override
bool | setSize (int dim, int nsz) override
Public Member Functions inherited from Array2DInfo
int | getNDim () const override
od_uint64 | getOffset (const int *iarr) const override
virtual od_uint64 | getOffset (int, int) const
bool | validPos (const int *iarr) const override
virtual bool | validPos (int, int) const
Public Member Functions inherited from ArrayNDInfo
virtual | ~ArrayNDInfo ()
virtual bool | getArrayPos (od_uint64, int *) const
int | nrDims () const
bool | validDimPos (int dim, int pos) const

## Protected Attributes
od_uint64 | cachedtotalsz_
int | dimsz_ [2]

## Additional Inherited Members
Public Types inherited from ArrayNDInfo
typedef nr_dims_type | dim_idx_type
typedef size_type | idx_type
typedef const idx_type * | NDPos
typedef TypeSet< idx_type > | NDPosBuf
typedef const size_type * | NDSize
typedef od_int16 | nr_dims_type
typedef od_int64 | offset_type
typedef od_int32 | size_type
typedef offset_type | total_size_type
Protected Member Functions inherited from ArrayNDInfo
od_uint64 | calcTotalSz () const

## Detailed Description

Implementation of Array2DInfo.

<>

## Constructor & Destructor Documentation

## ◆ Array2DInfoImpl() [1/2]

Array2DInfoImpl::Array2DInfoImpl | ( | int | sz0 = 0,
|  | int | sz1 = 0 )

## ◆ Array2DInfoImpl() [2/2]

Array2DInfoImpl::Array2DInfoImpl | ( | const Array2DInfo & |  | ) |

## Member Function Documentation

## ◆ clone()

Array2DInfo * Array2DInfoImpl::clone | ( |  | ) | const
| inline override virtual

Implements ArrayNDInfo.

## ◆ getSize()

int Array2DInfoImpl::getSize | ( | int | dim | ) | const
| inline override virtual

Implements ArrayNDInfo.

## ◆ getTotalSz()

od_uint64 Array2DInfoImpl::getTotalSz | ( |  | ) | const
| inline override virtual

Reimplemented from ArrayNDInfo.

## ◆ isOK()

bool Array2DInfoImpl::isOK | ( |  | ) | const
| inline override virtual

Reimplemented from ArrayNDInfo.

## ◆ setSize()

bool Array2DInfoImpl::setSize | ( | int | dim,
|  | int | nsz )
| override virtual

Reimplemented from ArrayNDInfo.

## Member Data Documentation

## ◆ cachedtotalsz_

od_uint64 Array2DInfoImpl::cachedtotalsz_
| protected

## ◆ dimsz_

int Array2DInfoImpl::dimsz_[2]
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025